LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (http://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   ATI Proprietary Driver 8.35.5 (http://www.linuxquestions.org/questions/linux-hardware-18/ati-proprietary-driver-8-35-5-a-542111/)

uv256 03-31-2007 05:20 AM

ATI Proprietary Driver 8.35.5
 
I have the Radeon Xpress 200M and the latest
drivers from ATI (8.35.5) are crap.... XGL won't work and neither will beryl if you want to enjoy the eyecandy use 8.34.8
otherwise it won't work

XavierP 03-31-2007 07:55 AM

Statement or question?

If the drivers don't work, how don't they work? what errors do you get? how did you try installing them?

deloptes 03-31-2007 02:21 PM

There was a discussion about the installation and support (I tried to install this on SUSE 10.2 but it is not SUSE specific problem).

I have put there the steps which way I installed the driver - including patch and so on.

You can download the tar.bz2 file unpack it and rebuild the driver yourself. Let me know if it worked or any help was needed.

https://bugzilla.novell.com/show_bug.cgi?id=257060

uv256 04-01-2007 02:33 AM

Ok.....

Tried installing the drivers again and this time they work...
this is after I removed some lines from my xorg.conf like
Option "EnablePrivateBackZ" "no"
and some other lines which I don't recall:)

Thanks for your replies.

Sorry for posting to soon....:)

P.S
despite it's written everywhere
I don't have the Option "Composite" "disable" in my xorg.conf
but it still works.

deloptes 10-11-2007 05:35 AM

ati-driver-installer-8.40.4-x86.x86_64.run
 
New version of the driver is installing without a problem.

I was a bit struggling with xorg.conf to enable second display. Anyway after a day of experimenting with this I got it.

Beryl is not working with the proprietary driver. I have an error that drops AIGLX support.

Code:

drmOpenByBusid: drmGetBusid reports PCI:1:0:0
(EE) AIGLX error: dlsym for __driCreateNewScreen_20050727 failed (/usr/lib/dri/fglrx_dri.so: undefined symbol: __driCreateNewScreen_20050727)
(EE) AIGLX: reverting to software rendering
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"

I don't want to tweak my configuration, but if you know an easy way to get beryl running let me know

Any way the display quality is perfect.

regards

ghostdancer 10-11-2007 08:03 AM

AIGLX and Composite support coming soon, should be sometime, end of this month. By then, Compiz/Beryl should work.

I am using 8.41.7, normal graphic acceleration and movie playback is quite OK. Beyond that, I won't put much expectation.

deloptes 10-11-2007 09:26 PM

Thank, so waiting a bit before updating and checking for the next version

regards


All times are GMT -5. The time now is 12:01 AM.